﻿<!DOCTYPE html>
<html lang="en">
  
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>
      Opus Laboris Recruitment: Client Vacancies
    </title>
    <link rel="shortcut icon" href="images/icons/favicon.ico" />

    <!-- Javascript Libraries -->
    <script src="javascript/TriSysLoad.js" type="text/javascript"></script>
    <script src="javascript/jquery.min.js" type="text/javascript"></script>
</head>
  
<body style="display: none">
    <div id="TriSysWeb-Header"></div>
    <div class="jumbotron">
        <div class="container">
            <div class="row">
                <div class="col-md-9">
                    <h1>
                        Client Vacancies
                    </h1>
                </div>
                <div class="col-md-3" style="text-align:right">
                    <img src="images/Vacancy-Search.png" height="150">
                </div>
            </div>
            <p>
                As a client, this is a list of all your vacancies registered with us.
                You can drill down into each vacancy and view the list of candidates who have applied.
                You can then schedule your interview programme.
            </p>
            <p style="text-align: center">
            </p>
        </div>
    </div>
    <div class="container">
        <!-- Search Box -->
        <div class="panel panel-default">
            <div class="panel-heading">
                <h3 class="panel-title">
                    Vacancy Search
                </h3>
            </div>
            <div class="panel-body">
                <div class="form-group">
                    <label>
                        Reference
                    </label>
                    <input type="text" class="form-control" name="txtReference" id="txtReference">
                </div>
                <div class="form-group">
                    <label>
                        Job Title / Keyword
                    </label>
                    <input type="text" class="form-control" name="txtJobTitle" id="txtJobTitle">
                </div>
                <div class="form-group">
                    <label>
                        Type
                    </label>
                    <select id="cmbTypeOfWorkRequired" style="width:auto;"></select>
                </div>
                <div class="form-group">
                    <label>
                        Location
                    </label>
                    <select id="cmbLocation" style="width:auto;"></select>
                </div>
                <div class="form-group">
                    <label>
                        Start Date
                    </label>
                    <table>
                        <tr>
                            <td style="width: 120px">
                                <select id="cmbStartDateOperator" style="width:auto;" />
                            </td>
                            <td style="width: 200px">
                                <input id="dtStartDate" style="width: 200px; " />
                            </td>
                        </tr>
                    </table>
                </div>
                <div class="form-group">
                    <label>
                        Status
                    </label>
                    <select id="cmbStatus" style="width:auto;"></select>
                </div>
                <hr />
                <div class="btn-group">
                    <a class="btn btn-default" id="btnSearch" onclick="TriSysWeb.Pages.ClientVacancies.SearchPersistence.VacancySearchButton()">Search</a>
                </div>
            </div>
        </div>
    </div>   <!-- End of Search Box -->
    <div class="container">
        <div class="panel panel-default" id="pnlClientVacancies">
            <div class="panel-heading">
                <h3 class="panel-title">
                    Vacancies
                </h3>
            </div>
            <div class="panel-body">

                <!-- The vacancy grid populated by JS -->
                <div id="divVacancyGrid" style="border-width: 1px; width: 100%; ">
                </div>
            </div>
        </div>

    </div>

    <!-- Grid Actions -->
    <div class="container">
        <div class="panel panel-default" id="divVacancySearchActions">
            <div class="panel-heading">
                <h3 class="panel-title">
                    Actions
                </h3>
            </div>
            <div class="panel-body">

                <div class="btn-group">
                    <a class="btn btn-danger" id="btnAdd" onclick="AddVacancyButton()">Add New Vacancy</a>
                    <a class="btn btn-default" id="btnChangeStatus" onclick="ChangeStatusButton()">Change Status</a>
                    <a class="btn btn-default" id="btnDelete" onclick="DeleteButton()">Delete</a>
                    <a class="btn btn-warning" id="btnBack" onclick="history.go(-1);">Back to Previous Page</a>
                </div>
                <div class="btn-group" style="float:right">
                    <a class="btn btn-default" id="btnSelectAll" onclick="TriSysSDK.Grid.SelectAllRows('divVacancyGrid', true);">Select All</a>
                    <a class="btn btn-default" id="btnSelectNone" onclick="TriSysSDK.Grid.SelectAllRows('divVacancyGrid', false)">Select None</a>
                </div>
            </div>
        </div>
    </div>
    <!-- End of Grid Actions -->

    <div class="container">
        <div id="TriSysWeb-Footer"></div>
    </div>
    <!-- /container -->

    <script type="text/javascript">
        $(document).ready(function ()
        {
            TriSysLoad.ApexFramework.LoadDynamically(function ()
            {
                var documentReadyObject = {
                    ClientLogin: true,
                    CandidateLogin: false,
                    SQLLogin: true,
                    PageName: "clientvacancies",
                    ParentMenuName: "client",
                    CallbackFunction: function ()
                    {
                        // Populate all lookups
                        TriSysSDK.CShowForm.skillList("cmbTypeOfWorkRequired", "TypeOfWorkRequired");
                        TriSysWeb.Pages.ClientVacancies.PopulateLocationLookup("cmbLocation");
                        TriSysWeb.Pages.ClientVacancies.PopulateStatusLookup("cmbStatus");
                        TriSysWeb.Pages.CandidateVacancies.PopulateStartDateSearchWidgets("cmbStartDateOperator", "dtStartDate");

                        // Show all vacancies after we can be sure that we are connected to the database
                        setTimeout(TriSysWeb.Pages.ClientVacancies.SearchPersistence.ReloadLastSearchCriteriaAndReSearch, 500);
                    }
                };
                TriSysWeb.Pages.DocumentReady(documentReadyObject);
            });
        });

        function AddVacancyButton()
        {
            window.location = TriSysWeb.Constants.ClientVacancyPage + "?RequirementId=0";
        }
        function ChangeStatusButton()
        {
            TriSysApex.UI.ShowMessage("Change status of selected vacancies...");
            //var multipleSelectedRecordIds = TriSysSDK.Grid.GetSelectedRowRecordIds();
            //if (multipleSelectedRecordIds)
            //    if (multipleSelectedRecordIds.length > 0)
            //    {
            //        //var sURL = window.location.href.toLowerCase().replace("vacancysearch.html", "vacancy.html") + "?RequirementId=";
            //        //TriSysWeb.Pages.CandidateVacancy.ApplyToMultiple(sURL, multipleSelectedRecordIds);
            //    }
        }
        function DeleteButton()
        {
            TriSysApex.UI.ShowMessage("Delete selected vacancies...");
            //var multipleSelectedRecordIds = TriSysSDK.Grid.GetSelectedRowRecordIds();
            //if (multipleSelectedRecordIds)
            //    if (multipleSelectedRecordIds.length > 0)
            //        TriSysWeb.Pages.CandidateVacancy.AddListToFavourites(multipleSelectedRecordIds);
        }

    </script>
</body>


</html>